%define name gcombust
%define version 0.1.34
%define release 4mdk

Name: %{name}
Summary: Gcombust is a burning cd frontend
Version: %{version}
Release: %{release}
Source: http://www.abo.fi/~jmunsin/gcombust/%{name}-%{version}.tar.bz2
Source1: %{name}-48.xpm.bz2
Source2: %{name}-32.xpm.bz2
Source3: %{name}-16.xpm.bz2
Group: Archiving/Cd burning
BuildRequires: XFree86-devel
URL: http://www.abo.fi/~jmunsin/gcombust/
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL
Prefix: %{_prefix}
Requires: mkisofs cdrecord

%description
gcombust is a gtk+ frontend for mkisofs, mkhybrid, cdrecord and
cdlabelgen. It's written in C. It has primitive support for
controlling the directory (root) structure and size of image without
copying files/symlinking or writing 10 lines of arguments and can
maximize disk by hinting which directories/files to use.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n gcombust-%{version}

%build
%configure
%make 

%install
[ "$RPM_BUILD_ROOT" != "/"] && [ -d $RPM_BUILD_ROOT ] && rm -rf \
$RPM_BUILD_ROOT;

mkdir -p $RPM_BUILD_ROOT/%{_bindir} $RPM_BUILD_ROOT%{_datadir}/pixmaps
%makeinstall
install -m644  %{name}.xpm $RPM_BUILD_ROOT/%{_datadir}/pixmaps

%find_lang %{name}

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.xpm" section="Applications/Archiving/Cd burning" \
title="GCombust" longtitle="Gtk+ frontend for Cd burning"
EOF

#icon
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post  
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS TODO COPYING ChangeLog INSTALL NEWS README* THANKS ABOUT-NLS
%{_bindir}/gcombust
%{_datadir}/pixmaps/gcombust.xpm
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_menudir}/%{name}


%changelog
* Tue Sep 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.1.34-4mdk
- added menu entry and icons
- corrected source url

* Thu Aug 24 2000 Gtz Waschk <waschk@linux-mandrake.com> 0.1.34-3mdk
- uses find_lang for locale files
- cleaned spec a bit

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1.34-2mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.34-1mdk
- rebuild for BM
- macrozfications
- new release

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.1.33-1mdk
- Updated version

* Thu Apr 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.1.31-1mdk
- Updated version to 0.1.31-1mdk
- updated group
- updated file section of spec file.

* Tue Feb 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- new version 0.1.30

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.1.25

* Fri Aug 06 1999 Stefan Siegel <siegel@informatik.uni-kl.de>
- Added "config" tag for files containing /etc or /config
- Added compression for perl- and localized man-pages

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rebuild without glib-1.3 :-((

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Initialisation spec file for Mandrake distribution.


* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
